const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 48)));
    if *((edi_global_2d_to_2d_local - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    v1_45 = __asm_movsd_2(v5_1c) # bp+45;
    fabsl(tmp245 * tmp245 + stack_var__2d_28 * stack_var__2d_28);
    __asm_fyl2x(v1_45);
    if *((edi_global_2d_to_2d_local - 88)) == 0:;
        # 0x67;
        __asm_fprem();
        __asm_f2xm1();
        __asm_fscale();
    v0_7e = __asm_fpatan();
    v4_83 = stack_var__2d_28 * *((edi_global_2d_to_2d_local - 16)) + tmp245 # bp+83;
    if fabsl(v4_83) < 9223372036854775808.0:;
        # bb;
        sinl(v4_83);
    v2_90 = -((fabs(*((edi_global_2d_to_2d_local - 84))) * *((edi_global_2d_to_2d_local - 72)) + v1_45)) # bp+90;
    if *((edi_global_2d_to_2d_local - 76)) == 0:;
        # 0x98;
        v1_9b = v2_90 / *((edi_global_2d_to_2d_local - 32));
    else:;
        v1_9b = v2_90;
    # 0x9b;
    *((esi_global_2d_to_2d_local - 32)) = v1_9b;
    return v0_7e;


	}